/*

Custom style

You can override the default class or style here

This file will not be overwritten by the updater

*/	
#userAvatar {
  padding: 4px;
  background-color: color-mix(in oklab, var(--color-gray-300) 50%, transparent);
  transition: background-color 0.2s ease-in-out; /* transition-colors */
}
	
#userAvatar:hover {
  background-color: color-mix(in oklab, var(--color-gray-400) 50%, transparent);
}
	
#userAvatar:active {
  background-color: color-mix(in oklab, var(--color-gray-400) 50%, transparent);
}

/* 隐藏Swiper自动生成的按钮 */
.swiper-button-prev:after, .swiper-button-next:after {
    display: none;
}
.swiper-button-prev.swiper-button-disabled, .swiper-button-next.swiper-button-disabled {
    opacity: 0;
}
.swiper-button-next, .swiper-rtl .swiper-button-prev {
    right: var(--swiper-navigation-sides-offset, -4px);
}
.swiper-button-prev, .swiper-rtl .swiper-button-next {
    left: var(--swiper-navigation-sides-offset, -4px);
}
.swiper-slide:hover span{
	background:linear-gradient(315deg, rgb(103 88 250 / 100%) 0%, rgb(140 88 250 / 100%) 100%);
}



#cookieConsentBanner {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	background-color: #333;
	color: white;
	padding: 1em;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
}
.cookie-consent-msg {
	text-align: left;
	flex: 1;
}
.cookie-consent-actions {
	text-align: right;
}
@media (max-width: 767px) {
	#cookieConsentBanner {
		flex-direction: column;
		align-items: flex-start;
	}
	.cookie-consent-msg, .cookie-consent-actions {
		width: 100%;
		text-align: center;
		margin-bottom: 0.5em;
	}
}



	    .gd-bg {
	        background: linear-gradient(135deg, #00a2ff 0%, #00d684 100%);
	    }
		.gds-bg {
		    background: linear-gradient(135deg, #ff1100 0%, #FFC107 100%);
		}
		.gd-bgs {
		    background: linear-gradient(135deg, #ff1100 0%, #FFC107 100%);
		}
	    .gd-text {
	        background: linear-gradient(135deg, #00a2ff 0%, #00ff9d 100%);
	        -webkit-background-clip: text;
	        background-clip: text;
	        color: transparent;
			opacity: 1;
	    }
	    .modal-box {
	        max-height: calc(100vh - 5em);
			min-height: 10em;
	    }
		.game-iframe {
		    width: 100%;
		    height: 70vh;
		    border: none;
		}
	    .hero-section {
	        position: relative;
	        overflow: hidden;
	    }
	    
	    /* 视频模糊效果增强 */
	    .hero-section video {
	        transform: scale(1.05); /* 轻微放大避免模糊边缘 */
	        filter: blur(3px) brightness(0.6);
	        position: absolute;
	        top: 0;
	        left: 0;
	        width: 100%;
	        height: 100%;
	        object-fit: cover;
	    }
	    
	    /* 按钮悬停效果 */
	    .hero-content .btn:hover {
	        transform: translateY(-2px);
	    }
	    .feature-card:hover {
	        transform: translateY(-5px);
	        box-shadow: 0 10px 20px rgba(0, 162, 255, 0.2);
	    }
	    .download-badge {
	        transition: transform 0.3s;
	    }
	    .download-badge:hover {
	        transform: scale(1.05);
	    }